Bug 364031 - yum update of openoffice.org removes OO.org rpms
yum update of openoffice.org removes OO.org rpms
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 11:27 EDT by Joe Smith
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-02 14:40:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Smith 2007-11-02 11:27:54 EDT
Description of problem:
I have installed openoffice.org rpms from both Fedora and OpenOffice.org
(OO.org). I need both for testing and other user-support tasks.

The rpms from the two sources install to completely different locations (OO.org
rpms under /opt) and there are no conflicts.

When updated Fedora openoffice.org packages are available, and I run 'yum
update', the update process removes both the old Fedora openoffice.org rpms, and
also some of the OO.org openoffice.org rpms. This breaks the OO.org installation
and I have to re-install.

Version-Release number of selected component (if applicable):
Most recent where problem occurred: openoffice.org-*-1:2.3.0-6.4.fc7
Same problem has affected every F7 ooo update.

How reproducible:
Always

Steps to Reproduce:
1. Install openoffice.org rpms for F7
2. Install openoffice.org rpms downloaded from OO.org
3. Wait for updates ...
4. Run yum update
  
Actual results:
OO.org install is broken (rpms removed)

Expected results:
Installation has no conflicts--update should be clean also

Additional info:
This morning when the ooo 2.3 update was available, I tried running yum with
full debugging output, but the output does not document what files or packages
are removed. I'm not sure if this is a problem with rpm, or yum, or the packages
themselves.

The OO.org packages that are removed are the ones that match the Fedora package
names:
openoffice.org-base
openoffice.org-calc
openoffice.org-draw
openoffice.org-emailmerge
openoffice.org-graphicfilter
openoffice.org-headless
openoffice.org-impress
openoffice.org-javafilter
openoffice.org-math
openoffice.org-pyuno
openoffice.org-writer
openoffice.org-xsltfilter

The OO.org packages that have names that don't have a corresponding Fedora
package are left untouched:
openoffice.org-core01
openoffice.org-core02
openoffice.org-core03
openoffice.org-core03u
openoffice.org-core04
openoffice.org-core04u
openoffice.org-core05
openoffice.org-core05u
openoffice.org-core06
openoffice.org-core07
openoffice.org-core08
openoffice.org-core09
openoffice.org-core10
openoffice.org-gnome-integration
openoffice.org-kde-integration
openoffice.org-onlineupdate
openoffice.org-testtool

It does not seem correct for an update process to remove packages that were not
updated.

If there is something I can do to collect more information, please let me know.
Comment 1 Joe Smith 2007-11-03 10:26:49 EDT
Well I was hoping for at least a hint of how this could be addressed. Surely
something could be done to fix this.

Note You need to log in before you can comment on or make changes to this bug.